Subject: Re: bug#36490: 26.1; directory-files-recursively breaks when it encounters a directory named "~"

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 18:50:44 +0200

Eli Zaretskii <[email-masked]> writes:

>> Any function that iterates over a list of directory files (as returned
>> by directory-files) would then have to quote whatever it passes to
>> expand-file-name -- or avoid that function completely.  That seems like
>> an odd design.
>
> What happens if a function that iterates over a directory finds a
> subdirectory whose name is literally "~"?

I think I must be missing something, because I don't think anything
special should happen?

(find-file "/tmp/~/foo")

works fine, for instance.  And

(expand-file-name "foo" "/tmp/~")
=> "/tmp/~/foo"

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no